#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for parsing IDL (Interface Definition Language)
Summary(pl.UTF-8):	Biblioteka do parsowania IDL (języka definicji interfejsu)
Name:		libIDL
Version:	0.8.14
Release:	5
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libIDL/0.8/%{name}-%{version}.tar.bz2
# Source0-md5:	bb8e10a218fac793a52d404d14adedcb
Patch0:		%{name}-info.patch
URL:		http://projects.gnome.org/ORBit2/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	glib2-devel >= 1:2.14.1
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.8
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libIDL is a library for parsing IDL (Interface Definition Language).
It can be used for both COM-style and CORBA-style IDL.

%description -l pl.UTF-8
libIDL to biblioteka do parsowania IDL (Interface Definition Language
- języka definicji interfejsu). Może być używana z IDL w stylu COM lub
CORBA.

%package devel
Summary:	Header files for libIDL
Summary(pl.UTF-8):	Pliki nagłówkowe libIDL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.14.1

%description devel
libIDL is a library for parsing IDL (Interface Definition Language).
It can be used for both COM-style and CORBA-style IDL.

This package contains the header files and libraries needed to write
or compile programs that use libIDL.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do kompilowania
programów używających libIDL.

%package static
Summary:	Static libIDL libraries
Summary(pl.UTF-8):	Statyczne biblioteki libIDL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libIDL libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libIDL.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS README NEWS
%attr(755,root,root) %{_libdir}/libIDL-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIDL-2.so.0

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/libIDL-config-2
%attr(755,root,root) %{_libdir}/libIDL-2.so
%{_libdir}/libIDL-2.la
%{_includedir}/libIDL-2.0
%{_pkgconfigdir}/libIDL-2.0.pc
%{_infodir}/libIDL2.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libIDL-2.a
%endif
%changelog
* Wed Nov 07 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libIDL.git;a=log;h=master

* Wed Nov 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 7f13662
- release 5: rebuild to get pkgconfig() cap

* Thu Jun 28 2012 hawk <hawk@pld-linux.org> 880f96b
- release 4

* Mon Nov 21 2011 lisu <lisu@pld-linux.org> 5f5426b
- rel 3

* Thu Nov 18 2010 hawk <hawk@pld-linux.org> 35ce632
- release 2

* Wed Mar 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 4a2cf44
- updated to 0.8.14

* Thu Mar 26 2009 Jakub Bogusz <qboosh@pld-linux.org> 09f2d72
- updated to 0.8.13

* Thu Aug 21 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 2243580
- updated to 0.8.11

* Thu Jan 31 2008 Marcin Banasiak <marcin.banasiak@gmail.com> c662144
- updated to 0.8.10

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> ffc65df
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Wed Sep 19 2007 Jakub Bogusz <qboosh@pld-linux.org> 39d2bcb
- more verbose files

* Mon Sep 17 2007 Marcin Banasiak <marcin.banasiak@gmail.com> dc96c6c
- updated to 0.8.9

* Mon Jul 23 2007 witekfl <witekfl@pld-linux.org> bd1ed05
- added missing #

* Sun Jul 22 2007 witekfl <witekfl@pld-linux.org> ac1b205
- added bcond_without static_libs

* Tue Feb 27 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 684c6f5
- updated to 0.8.8

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d8edf01
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7562217
- converted to UTF-8

* Mon Nov 20 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 67f89bc
- release 2 (rebuild with P: *.la)

* Mon Jul 24 2006 freetz <freetz@pld-linux.org> 6dd143d
- 0.8.7, removed LDFLAGS

* Mon Jul 10 2006 freetz <freetz@pld-linux.org> b8edf83
- --as-needed support, updated deps

* Mon Jul 25 2005 Jakub Bogusz <qboosh@pld-linux.org> 302d2dc
- gpm-friendly Source0 URL

